https://slack.com/admin.usergroups.listChannelsList the channels linked to an org-level IDP group (user group).
ID of the IDP group to list default channels for.
ID of the the workspace.
Flag to include or exclude the count of members per channel.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://slack.com/admin.usergroups.listChannels' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://slack.com/admin.usergroups.listChannelsList the channels linked to an org-level IDP group (user group).
ID of the IDP group to list default channels for.
ID of the the workspace.
Flag to include or exclude the count of members per channel.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://slack.com/admin.usergroups.listChannels' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}